complexType "PaymentDates"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 1 element
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | paymentFrequency
</...>

Content Model Elements (1):

  paymentFrequency (in paymentDates defined in InterestRateStream complexType)

All Direct / Indirect Based Elements (1):

  paymentDates (defined in InterestRateStream complexType)

Known Usage Locations

- As direct type of elements (1):
  paymentDates (defined in InterestRateStream complexType)

Annotation
A type defining parameters used to generate the payment dates schedule, including the specification of early or delayed payments. Payment dates are determined relative to the calculation period dates or the reset dates.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="PaymentDates"> <xsd:sequence> <!--View Generation: Skipped an empty choice.--> <xsd:element name="paymentFrequency" type="Frequency"/> <!--View Generation: SKIPPED firstPaymentDate - NonStandardFeature--> <!--View Generation: SKIPPED lastRegularPaymentDate - NonStandardFeature--> <!--View Generation: SKIPPED payRelativeTo - Standardized--> <!--View Generation: SKIPPED paymentDaysOffset - Standardized--> <!--View Generation: SKIPPED paymentDatesAdjustments - DateAdjustments--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/1)
paymentFrequency

  Type: | Frequency, complex content

  The frequency at which regular payment dates occur. If the payment frequency is equal to the frequency defined in the calculation period dates component then one calculation period contributes to each payment amount. If the payment frequency is less frequent than the frequency defined in the calculation period dates component then more than one calculation period will contribute to the payment amount. A payment frequency more frequent than the calculation period frequency or one that is not a multiple of the calculation period frequency is invalid. If the payment frequency is of value T (term), the period is defined by the swap\swapStream\calculationPerioDates\effectiveDate and the swap\swapStream\calculationPerioDates\terminationDate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="paymentFrequency" type="Frequency"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.